Bulk upsert/delete managed devices
POST
/v1/ns/{nsid}/resources/devices/bulk
const url = 'https://example.com/v1/ns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/resources/devices/bulk';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '[{"device":"example","line":"example"}]'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/ns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/resources/devices/bulk \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '[ { "device": "example", "line": "example" } ]'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”nsid
required
string format: uuid
Namespace UUID
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Array<object>
object
device
string
line
string
Examplegenerated
[ { "device": "example", "line": "example" }]Responses
Section titled “Responses”OK
Media typeapplication/json
object
success
required
boolean
results
required
Array<object>
object
name
string
ok
boolean
error
string
Examplegenerated
{ "success": true, "results": [ { "name": "example", "ok": true, "error": "example" } ]}default
Section titled “default”Error response
Media typeapplication/problem+json
RFC 7807 Problem Details
object
type
Problem type slug URI
string
title
string
status
integer
detail
string
key
additional properties
any
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}